Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.transform.inlining
Class AdviceMethodInfo

    java.lang.Object
      org.codehaus.aspectwerkz.transform.inlining.AdviceMethodInfo

    public class AdviceMethodInfo

extends Object

Container for the advice method info.

Author:
  Jonas Bonr , Alexandre Vasseur

Constructor Summary
`AdviceMethodInfo(AdviceInfo adviceInfo, String aspectFieldName, String aspectClassName, String aspectClassSignature, String callerClassSignature, String calleeClassSignature, String joinPointClassName, String calleeMemberDesc)`

Method Summary
`AdviceInfo` | `getAdviceInfo()`
`int[]` | `getAdviceMethodArgIndexes()`
`AspectInfo` | `getAspectInfo()`
`String` | `getCalleeClassSignature()`
`String` | `getCalleeMemberDesc()`
`String` | `getCallerClassSignature()`
`String` | `getJoinPointClassName()`
`int` | `getJoinPointIndex()`
`int` | `getSpecialArgumentIndex()`
`String` | `getSpecialArgumentTypeDesc()`
`String` | `getSpecialArgumentTypeName()`
`boolean` | `requiresJoinPoint()`
`boolean` | `requiresThisOrTarget()`
`void` | `setJoinPointIndex(int joinPointIndex)`
`void` | `setSpecialArgumentIndex(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdviceMethodInfo

    public AdviceMethodInfo(AdviceInfo adviceInfo,
                            String aspectFieldName,
                            String aspectClassName,
                            String aspectClassSignature,
                            String callerClassSignature,
                            String calleeClassSignature,
                            String joinPointClassName,
                            String calleeMemberDesc)

Method Detail

### getAdviceInfo

    public AdviceInfo getAdviceInfo()

### getAspectInfo

    public AspectInfo getAspectInfo()

### getAdviceMethodArgIndexes

    public int[] getAdviceMethodArgIndexes()

### getSpecialArgumentTypeDesc

    public String getSpecialArgumentTypeDesc()

### getSpecialArgumentTypeName

    public String getSpecialArgumentTypeName()

### getJoinPointIndex

    public int getJoinPointIndex()

### setJoinPointIndex

    public void setJoinPointIndex(int joinPointIndex)

### getSpecialArgumentIndex

    public int getSpecialArgumentIndex()

### setSpecialArgumentIndex

    public void setSpecialArgumentIndex(int index)

### getCalleeClassSignature

    public String getCalleeClassSignature()

### getCallerClassSignature

    public String getCallerClassSignature()

### getJoinPointClassName

    public String getJoinPointClassName()

### getCalleeMemberDesc

    public String getCalleeMemberDesc()

### requiresThisOrTarget

    public boolean requiresThisOrTarget()

  Returns:
    true if the advice uses this or target (bounded or runtime check)

### requiresJoinPoint

    public boolean requiresJoinPoint()

  Returns:
    true if the advice uses non static JoinPoint explicitly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.